#
# spec file for package picom-conf
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define  _name  picom_conf
Name:           picom-conf
Version:        0.17.0
Release:        1.7
Summary:        GUI configuration tool for Picom X composite manager
License:        LGPL-2.1-or-later
URL:            https://github.com/qtilities/picom-conf
Source0:        https://github.com/qtilities/picom-conf/archive/refs/tags/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig
BuildRequires:  qtilitools
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  update-desktop-files
Requires:       picom
Conflicts:      compton-conf

%description
picom-conf is a configuration tool for X composite manager picom.

%lang_package

%prep
%autosetup -p1

%build
%cmake \
    -DPICOM_ENABLE_AUTOSTART=ON \
    -DPROJECT_TRANSLATIONS_UPDATE=ON
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_sysconfdir}/xdg/autostart/picom.desktop \
    %{buildroot}%{_sysconfdir}/xdg/autostart/lxqt-picom.desktop

%find_lang %{name} --with-qt

%files
%doc AUTHORS README.md
%license COPYING
%exclude %{_datadir}/%{name}/translations
%config %{_sysconfdir}/xdg/autostart/lxqt-picom.desktop
%{_bindir}/%{name}
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/metainfo/%{_name}.appdata.xml
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/picom.conf.example

%files lang -f %{name}.lang
%dir %{_datadir}/%{name}/translations

%changelog
* Thu Jan 25 2024 Shawn Dunn <sfalken@opensuse.org>
- Removed:
  * Recommends %%{name}-lang, per https://build.opensuse.org/request/show/1141338
* Mon Dec 11 2023 Shawn Dunn <sfalken@opensuse.org>
- Updated to first official 0.17.0 release tarball
* Fri Dec  8 2023 sfalken@opensuse.org
- Update to version 0.16.0+git135.1167266:
  * Weblate commits
  * Weblate commits
  * README fix
  * Renamed translation files
  * Minor README and CMake config changes, set test language
  * Weblate commits
  * Weblate commits
  * Wrong French desktop translation directory
  * Weblate commits
  * Updated translations
* Sun Aug 20 2023 Андрей Алыпов <and.november@opensuse.org>
- initial package (version 0.16.0) for openSUSE
